Bug 230994 - Remember column widths in tabular data view
Summary: Remember column widths in tabular data view
Status: CLOSED FIXED
Alias: None
Product: KEXI
Classification: Unclassified
Component: Tables (show other bugs)
Version: 2.2 beta2 (KOffice 2.2 beta2)
Platform: unspecified All
: NOR wishlist with 20 votes (vote)
Target Milestone: 2.6
Assignee: Jarosław Staniek
URL: http://community.kde.org/Kexi/Plugins...
Keywords: usability
Depends on:
Blocks:
 
Reported: 2010-03-16 17:22 UTC by uetsah
Modified: 2012-09-01 21:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:
staniek: Usability+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description uetsah 2010-03-16 17:22:27 UTC
Version:            (using KDE 4.4.1)
Installed from:    Unlisted Binary Package

Oftentimes, the first thing I do when I need to add data to a table, is to decrease the columns widths for id/date/number columns, increase the column witdh for text columns, etc, so that I can comfortably enter the data.

It would be great if Kexi would automatically restore these settings the next time that table is opened.
Comment 1 Jarosław Staniek 2012-08-13 08:37:18 UTC
Interesting question: should we keep the width settings within user's settings or within the global (database) settings? I prefer the former solution, so for multiuser database projects nobody will change my preferred settings.

Another requirement is backward compatibility.
Comment 2 Jarosław Staniek 2012-09-01 08:31:11 UTC
Git commit 3dc3d643040b7f6710089ce35b3674dfc41681f5 by Jaroslaw Staniek.
Committed on 23/08/2012 at 01:39.
Pushed by staniek into branch 'master'.

Add support for user data storage and remember column widths in table

Core
*Add support for user data storage
Related: bug 305074

Table View
*Remember column widths in tabular data view

REVIEW:106132
DIGEST:Kexi gets support for user data storage and remembers column widths of table views.

M  +5    -0    kexi/core/KexiView.cpp
M  +4    -0    kexi/core/KexiView.h
M  +12   -0    kexi/core/KexiWindow.cpp
M  +5    -1    kexi/core/KexiWindow.h
M  +99   -1    kexi/core/kexiproject.cpp
M  +20   -1    kexi/core/kexiproject.h
M  +5    -0    kexi/main/KexiMainWindow_p.h
M  +0    -9    kexi/plugins/scripting/kexidb/kexidbfield.cpp
M  +0    -6    kexi/plugins/scripting/kexidb/kexidbfield.h
M  +2    -3    kexi/plugins/tables/kexitabledesignerview.cpp
M  +15   -5    kexi/widget/dataviewcommon/KexiTableViewColumn.cpp
M  +9    -11   kexi/widget/dataviewcommon/KexiTableViewColumn.h
M  +4    -4    kexi/widget/dataviewcommon/kexidataawareobjectiface.cpp
M  +4    -4    kexi/widget/dataviewcommon/kexidataawareview.cpp
M  +3    -5    kexi/widget/dataviewcommon/kexitableviewdata.h
M  +86   -1    kexi/widget/tableview/kexidatatable.cpp
M  +12   -1    kexi/widget/tableview/kexidatatable.h
M  +5    -0    kexi/widget/tableview/kexidatatableview.cpp
M  +1    -1    kexi/widget/tableview/kexidatatableview.h
M  +1    -4    libs/db/field.cpp
M  +1    -15   libs/db/field.h
M  +94   -7    libs/db/utils.cpp
M  +36   -1    libs/db/utils.h

http://commits.kde.org/calligra/3dc3d643040b7f6710089ce35b3674dfc41681f5
Comment 3 Jarosław Staniek 2012-09-01 09:21:27 UTC
Git commit 523544b19615ad29599ad8f59f590ff950580ca3 by Jaroslaw Staniek.
Committed on 23/08/2012 at 01:39.
Pushed by staniek into branch 'kexi-features-staniek'.

Add support for user data storage and remember column widths in table

Core
*Add support for user data storage
Related: bug 305074

Table View
*Remember column widths in tabular data view

REVIEW:106132
DIGEST:Kexi gets support for user data storage and remembers column widths of table views.

M  +5    -0    kexi/core/KexiView.cpp
M  +4    -0    kexi/core/KexiView.h
M  +12   -0    kexi/core/KexiWindow.cpp
M  +5    -1    kexi/core/KexiWindow.h
M  +99   -1    kexi/core/kexiproject.cpp
M  +20   -1    kexi/core/kexiproject.h
M  +5    -0    kexi/main/KexiMainWindow_p.h
M  +0    -9    kexi/plugins/scripting/kexidb/kexidbfield.cpp
M  +0    -6    kexi/plugins/scripting/kexidb/kexidbfield.h
M  +2    -3    kexi/plugins/tables/kexitabledesignerview.cpp
M  +15   -5    kexi/widget/dataviewcommon/KexiTableViewColumn.cpp
M  +9    -11   kexi/widget/dataviewcommon/KexiTableViewColumn.h
M  +4    -4    kexi/widget/dataviewcommon/kexidataawareobjectiface.cpp
M  +4    -4    kexi/widget/dataviewcommon/kexidataawareview.cpp
M  +3    -5    kexi/widget/dataviewcommon/kexitableviewdata.h
M  +86   -1    kexi/widget/tableview/kexidatatable.cpp
M  +12   -1    kexi/widget/tableview/kexidatatable.h
M  +5    -0    kexi/widget/tableview/kexidatatableview.cpp
M  +1    -1    kexi/widget/tableview/kexidatatableview.h
M  +1    -4    libs/db/field.cpp
M  +1    -15   libs/db/field.h
M  +94   -7    libs/db/utils.cpp
M  +36   -1    libs/db/utils.h

http://commits.kde.org/calligra/523544b19615ad29599ad8f59f590ff950580ca3